Bug 35742 - Android TV App Banner cannot be set with tools
Summary: Android TV App Banner cannot be set with tools
Status: RESOLVED UPSTREAM
Alias: None
Product: Android
Classification: Xamarin
Component: Tools and Addins (show other bugs)
Version: unspecified
Hardware: All All
: Normal normal
Target Milestone: 7.3 (C11)
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2015-11-10 12:24 UTC by Boris Spinner
Modified: 2016-12-01 18:39 UTC (History)
5 users (show)

Tags: BZCU XATriaged
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED UPSTREAM

Description Boris Spinner 2015-11-10 12:24:52 UTC
Currently it's not possible to set the app banner by the project preferences. You have to add it manually in the AndroidManifest.xml.
Moreover, when adding manually, IntelliSense complains "android:banner-Attribute not found".

https://developer.android.com/training/tv/start/start.html#tv-activity
Comment 1 Jonathan Pryor 2015-11-11 15:10:48 UTC
This is a bug in two parts. :-)

Part 1 is that it seems that Android TV adds some additional attributes to AndroidManifest.xml, e.g. the //application/@android:banner attribute, and these new attributes need to be added to our custom attributes.

Part 2 would be updating the IDEs to surface this information.
Comment 2 Atsushi Eno 2015-11-16 03:02:35 UTC
monodroid part is done. [master 6604793]
Comment 3 dean.ellis 2016-09-21 10:47:26 UTC
Looks like the "Banner" property was added to the Xamarin.Android side of things in monodroid/master/6604793

Adding Greg and Kzu to see what needs to be done to surface this new property in the Android Manifest Editor in the IDE's.
Comment 4 Greg Munn 2016-09-26 14:43:21 UTC
We should create separate issues for XS and XVS and close this one. We can't track multiple parts of a bug in 3 products with just one bug report
Comment 5 Greg Munn 2016-12-01 18:39:08 UTC
Ide related bugs created

VS - bug #48587
XS - bug #48586